%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define _disable_ld_no_undefined 1

Summary:	A GNOME file manager similar to the Norton Commander(TM)
Name:		gnome-commander
Version:	1.16.2
Release:	%mkrel 1
License:	GPLv2+
Group:		File tools
URL:		https://gcmd.github.io/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-vfs-2.0)
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(unique-1.0)
BuildRequires:	appstream-util
BuildRequires:	itstool
BuildRequires:	gettext-devel
BuildRequires:	yelp-tools
BuildRequires:	libxslt-proc
BuildRequires:	flex
BuildRequires:	meson

%description
Gnome Commander is a file manager that just like the classical Norton
commander (TM) lets you do everything with the keyboard. It can
perform all standard file operations and some extra features like ftp
support.

%prep
%autosetup -p1

%build
%meson \
	-Dsamba=disabled
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %{name}.lang
%doc README.md NEWS
%license COPYING
%{_bindir}/%{name}
%{_bindir}/gcmd-block
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_datadir}/pixmaps/*
%{_metainfodir}/org.gnome.%{name}.appdata.xml
%{_datadir}/applications/org.gnome.%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-commander.*.xml
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Jun 02 2024 daviddavid <daviddavid> 1.16.2-1.mga10
+ Revision: 2069291
- new version 1.16.2

* Mon Oct 02 2023 daviddavid <daviddavid> 1.16.1-2.mga10
+ Revision: 1993116
- rebuild for new exiv2 0.28.0

* Tue Aug 29 2023 daviddavid <daviddavid> 1.16.1-1.mga10
+ Revision: 1980784
- new version 1.16.1
- remove merged upstream patches

* Sun Jun 04 2023 daviddavid <daviddavid> 1.16.0-1.mga9
+ Revision: 1960864
- new version: 1.16.0
- switch to meson build system
- backport some upstream fixes

* Mon Oct 24 2022 ghibo <ghibo> 1.14.3-1.mga9
+ Revision: 1898946
- Update to release 1.14.3.
- Rework Patch0.

* Wed Apr 06 2022 umeabot <umeabot> 1.12.3.1-2.mga9
+ Revision: 1845856
- Mageia 9 Mass Rebuild

* Sun Nov 21 2021 ovitters <ovitters> 1.12.3.1-1.mga9
+ Revision: 1758382
- new version 1.12.3.1

* Sat Nov 20 2021 ovitters <ovitters> 1.12.3-1.mga9
+ Revision: 1758081
- new version 1.12.3

* Sat May 29 2021 ovitters <ovitters> 1.12.2-1.mga9
+ Revision: 1728836
- new version 1.12.2

* Sat Apr 17 2021 ovitters <ovitters> 1.12.1-1.mga9
+ Revision: 1716317
- new version 1.12.1

* Thu Apr 01 2021 daviddavid <daviddavid> 1.12.0-1.mga9
+ Revision: 1712393
- new version 1.12.0

* Mon Jul 20 2020 wally <wally> 1.10.3-2.mga8
+ Revision: 1607433
- drop unneeded BRs

* Wed Jul 01 2020 daviddavid <daviddavid> 1.10.3-1.mga8
+ Revision: 1600887
- new version 1.10.3

* Sat Feb 15 2020 umeabot <umeabot> 1.10.2-2.mga8
+ Revision: 1526396
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri May 17 2019 daviddavid <daviddavid> 1.10.2-1.mga7
+ Revision: 1398156
- new version: 1.10.2
- remove merged upstream patch

* Thu May 16 2019 daviddavid <daviddavid> 1.10.1-1.mga7
+ Revision: 1397979
- new version: 1.10.1
- add patch to fix build with exiv2 0.27.1

* Sun Mar 31 2019 daviddavid <daviddavid> 1.10.0-1.mga7
+ Revision: 1383666
- new version 1.10.0

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.8.1-2.mga7
+ Revision: 1346044
- rebuild for exiv2
+ wally <wally>
- update URL

* Tue Sep 04 2018 daviddavid <daviddavid> 1.8.1-1.mga7
+ Revision: 1257120
- new version: 1.8.1
- rename and rediff staticlib patch
- fix poppler build dependency

* Tue Jun 20 2017 neoclust <neoclust> 1.6.4-2.mga6
+ Revision: 1107997
- Rebuild against new exiv2

* Sun May 28 2017 ovitters <ovitters> 1.6.4-1.mga6
+ Revision: 1105368
- new version 1.6.4

* Sun Feb 26 2017 ovitters <ovitters> 1.6.3-1.mga6
+ Revision: 1088018
- new version 1.6.3

* Sun Nov 06 2016 ovitters <ovitters> 1.6.2-1.mga6
+ Revision: 1065563
- new version 1.6.2

* Tue Oct 18 2016 ovitters <ovitters> 1.6.1-1.mga6
+ Revision: 1061812
- new version 1.6.1
- dropped merged patch 2

* Fri Oct 07 2016 daviddavid <daviddavid> 1.6.0-1.mga6
+ Revision: 1059436
- add a patch to fix another build issue with gcc5/gcc6
+ ovitters <ovitters>
- new version 1.6.0

* Sun Sep 18 2016 ovitters <ovitters> 1.4.9-1.mga6
+ Revision: 1053957
- new version 1.4.9

* Mon Mar 14 2016 ovitters <ovitters> 1.4.8-1.mga6
+ Revision: 990725
- new version 1.4.8
- dropped merged patch 2

* Fri Feb 19 2016 daviddavid <daviddavid> 1.4.7-3.mga6
+ Revision: 969794
- add patch1 from Fedora to fix build with gcc5/gcc6
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Aug 26 2015 sander85 <sander85> 1.4.7-2.mga6
+ Revision: 869795
- Rebuild for exiv2 0.25

* Sat Jun 20 2015 ovitters <ovitters> 1.4.7-1.mga6
+ Revision: 836611
- new version 1.4.7

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-4.mga5
+ Revision: 745004
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.3-3.mga5
+ Revision: 679707
- Mageia 5 Mass Rebuild

* Wed Jun 25 2014 ovitters <ovitters> 1.4.3-2.mga5
+ Revision: 639609
- remove la files

* Mon Jun 23 2014 fwang <fwang> 1.4.3-1.mga5
+ Revision: 638785
- update file list
+ ovitters <ovitters>
- new version 1.4.3

* Fri May 30 2014 ovitters <ovitters> 1.4.2-1.mga5
+ Revision: 627816
- new version 1.4.2

* Sat Apr 05 2014 ovitters <ovitters> 1.4.1-1.mga5
+ Revision: 611814
- new version 1.4.1

* Mon Mar 17 2014 dams <dams> 1.4.0-1.mga5
+ Revision: 604430
- new version 1.4.0
- enable back 'gsf build'
- rediff patch

* Mon Feb 10 2014 dams <dams> 1.2.8.17-3.mga5
+ Revision: 589008
- rebuild for new exiv2

* Sat Feb 08 2014 fwang <fwang> 1.2.8.17-2.mga5
+ Revision: 586085
- rebuild for new poppler

* Tue Feb 04 2014 dams <dams> 1.2.8.17-1.mga5
+ Revision: 580929
- new version 1.2.8.17
- remove useless patches (merged upstream)

* Sat Oct 19 2013 umeabot <umeabot> 1.2.8.15-14.mga4
+ Revision: 530975
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 fwang <fwang> 1.2.8.15-13.mga4
+ Revision: 461353
- rebuild for new poppler

* Sat Jul 20 2013 fwang <fwang> 1.2.8.15-12.mga4
+ Revision: 456569
- force use new api
- patch against latest poppler
- rebuild for new poppler

* Sun Jun 23 2013 fwang <fwang> 1.2.8.15-11.mga4
+ Revision: 445914
- cast variable
- disable gsf build, as it failed building
- rebuild for new poppler

* Sat Jan 12 2013 umeabot <umeabot> 1.2.8.15-10.mga3
+ Revision: 352063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 fwang <fwang> 1.2.8.15-9.mga3
+ Revision: 336474
- fix build with automake 1.13
- rebuild for new poppler

* Mon Nov 12 2012 fwang <fwang> 1.2.8.15-8.mga3
+ Revision: 317122
- rebuild for new poppler

* Wed Oct 10 2012 tv <tv> 1.2.8.15-7.mga3
+ Revision: 304200
- rebuild with new poppler

* Tue Sep 11 2012 fwang <fwang> 1.2.8.15-6.mga3
+ Revision: 292151
- rebuild for new poppler

* Sat Sep 01 2012 fwang <fwang> 1.2.8.15-5.mga3
+ Revision: 286956
- do not add libadd to static libs
- build libgcmd as static lib

* Thu Aug 30 2012 fwang <fwang> 1.2.8.15-4.mga3
+ Revision: 285813
- add fedora patch to build with gcc 4.7
- rebuild for new poppler

* Mon Jun 18 2012 fwang <fwang> 1.2.8.15-3.mga3
+ Revision: 261638
- rebuild for new exiv

* Wed Jun 13 2012 fwang <fwang> 1.2.8.15-2.mga3
+ Revision: 260250
- br gettext
- regenerate configure
- add fedora patch to build with latest poppler
- rebuild for new poppler

* Wed Dec 07 2011 fwang <fwang> 1.2.8.15-1.mga2
+ Revision: 178084
- new version 1.2.8.15

* Fri Oct 28 2011 fwang <fwang> 1.2.8.14-3.mga2
+ Revision: 158961
- rebuild for new poppler

* Sun Oct 09 2011 fwang <fwang> 1.2.8.14-2.mga2
+ Revision: 153419
- rebuild for new exiv2

* Wed Oct 05 2011 wally <wally> 1.2.8.14-1.mga2
+ Revision: 152012
- new version 1.2.8.14

* Tue Sep 27 2011 ovitters <ovitters> 1.2.8.13-4.mga2
+ Revision: 149375
- rebuild for new poppler

* Tue Sep 27 2011 fwang <fwang> 1.2.8.13-3.mga2
+ Revision: 149368
- rebuild for new poppler

* Wed Sep 21 2011 fwang <fwang> 1.2.8.13-2.mga2
+ Revision: 146438
- drop .la files
- new version 1.2.8.13
+ ahmad <ahmad>
- Change libpoppler-*-devel BR to pkgconfig style

* Sat Jul 02 2011 wally <wally> 1.2.8.12-1.mga2
+ Revision: 117515
- new version 1.2.8.12
- disable static build
- fix desktop-file-validate warnings
- clean .spec a bit

* Thu Apr 14 2011 ennael <ennael> 1.2.8.10-2.mga1
+ Revision: 85263
- clean spec file
- imported package gnome-commander


* Fri Mar 11 2011 Funda Wang <fwang@mandriva.org> 1.2.8.10-2mdv2011.0
+ Revision: 643738
- rebuild for new poppler

* Sat Jan 15 2011 Götz Waschk <waschk@mandriva.org> 1.2.8.10-1
+ Revision: 631125
- update to new version 1.2.8.10

* Thu Dec 30 2010 Funda Wang <fwang@mandriva.org> 1.2.8.9-3mdv2011.0
+ Revision: 626160
- rebuild for new poppler

* Fri Dec 03 2010 Götz Waschk <waschk@mandriva.org> 1.2.8.9-2mdv2011.0
+ Revision: 607147
- use new 1.2.8.9 tarball

* Fri Dec 03 2010 Götz Waschk <waschk@mandriva.org> 1.2.8.9-1mdv2011.0
+ Revision: 606926
- update to new version 1.2.8.9

* Wed Dec 01 2010 Funda Wang <fwang@mandriva.org> 1.2.8.8-3mdv2011.0
+ Revision: 604405
- rebuild for new exiv2

* Wed Nov 03 2010 Götz Waschk <waschk@mandriva.org> 1.2.8.8-2mdv2011.0
+ Revision: 593007
- rebuild for new python 2.7

* Fri Sep 10 2010 Götz Waschk <waschk@mandriva.org> 1.2.8.8-1mdv2011.0
+ Revision: 577027
- update to new version 1.2.8.8

* Sun Aug 22 2010 Funda Wang <fwang@mandriva.org> 1.2.8.7-4mdv2011.0
+ Revision: 571804
- rebuild for new poppler

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 1.2.8.7-3mdv2011.0
+ Revision: 566254
- rebuild for new poppler

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 1.2.8.7-2mdv2011.0
+ Revision: 565539
- rebuild for new exiv2

* Tue Jul 27 2010 Götz Waschk <waschk@mandriva.org> 1.2.8.7-1mdv2011.0
+ Revision: 562083
- update to new version 1.2.8.7

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 1.2.8.6-1mdv2011.0
+ Revision: 550776
- update to new version 1.2.8.6

* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 1.2.8.5-2mdv2010.1
+ Revision: 537373
- rebuild

* Sun Feb 14 2010 Götz Waschk <waschk@mandriva.org> 1.2.8.5-1mdv2010.1
+ Revision: 505793
- new version
- update the patch

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 1.2.8.4-3mdv2010.1
+ Revision: 490559
- rebuild for new libjpeg

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1.2.8.4-2mdv2010.1
+ Revision: 484196
- Rebuild for new libexiv2

* Thu Dec 03 2009 Götz Waschk <waschk@mandriva.org> 1.2.8.4-1mdv2010.1
+ Revision: 473092
- update to new version 1.2.8.4

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 1.2.8.3-1mdv2010.1
+ Revision: 460928
- update to new version 1.2.8.3

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 1.2.8.2-1mdv2010.0
+ Revision: 447526
- update to new version 1.2.8.2

* Sun Aug 16 2009 Götz Waschk <waschk@mandriva.org> 1.2.8.1-2mdv2010.0
+ Revision: 416882
- rebuild for new libjpeg

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 1.2.8.1-1mdv2010.0
+ Revision: 414694
- update to new version 1.2.8.1

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 1.2.8-1mdv2010.0
+ Revision: 390583
- new version
- rediff the patch
- update file list
- update build deps

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 1.2.7-3mdv2009.1
+ Revision: 320291
- fix str fmt

* Sat Nov 08 2008 Götz Waschk <waschk@mandriva.org> 1.2.7-2mdv2009.1
+ Revision: 301106
- rebuild for new libxcb

* Mon Jul 28 2008 Götz Waschk <waschk@mandriva.org> 1.2.7-1mdv2009.0
+ Revision: 252057
- new version

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Mon Jun 02 2008 Götz Waschk <waschk@mandriva.org> 1.2.6-1mdv2009.0
+ Revision: 214208
- new version
- disable --as-needed and --no-undefined to make it build

* Sat Mar 01 2008 Götz Waschk <waschk@mandriva.org> 1.2.5-1mdv2008.1
+ Revision: 177245
- new version
- update buildrequires

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - replace %%{_datadir}/man by %%{_mandir}!

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jun 09 2007 Götz Waschk <waschk@mandriva.org> 1.2.4-1mdv2008.0
+ Revision: 37667
- new version
- fix buildrequires


* Tue Dec 12 2006 Götz Waschk <waschk@mandriva.org> 1.2.3-1mdv2007.0
+ Revision: 95200
- new version

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-2mdv2007.1
+ Revision: 94777
- fix buildrequires

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdv2007.1
+ Revision: 94666
- new version

* Wed Oct 18 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2007.0
+ Revision: 65795
- new version
- new version

* Sun Oct 15 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-0.20061010.1mdv2006.0
+ Revision: 64777
- Import gnome-commander

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-0.20061010.1mdv2007.1
- fix buildrequires
- new snapshot

* Sat Aug 05 2006 Götz Waschk <waschk@mandriva.org> 1.2.0-1mdv2007.0
- rebuild for new dbus

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 1.2.0-3mdv2007.0
- xdg menu

* Thu May 11 2006 Götz Waschk <waschk@mandriva.org> 1.2.0-2mdk
- fix buildrequires

* Mon May 08 2006 Jerome Soyer <saispo@mandriva.org> 1.2.0-1mdk
- New release 1.2.0

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 1.1.7-1mdk
- drop patches
- new version
- new source URL

* Wed Aug 10 2005 Götz Waschk <waschk@mandriva.org> 1.1.6-6mdk
- fix build

* Wed Jun 08 2005 Götz Waschk <waschk@mandriva.org> 1.1.6-5mdk
- fix buildrequires

* Tue Jun 07 2005 Götz Waschk <waschk@mandriva.org> 1.1.6-4mdk
- patch for gcc 4

* Sat May 07 2005 Götz Waschk <waschk@mandriva.org> 1.1.6-3mdk
- fix build on x86_64

* Wed May 05 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.6-2mdk
- patch from CVS to make it compile with gtk 2.4

* Tue Jan 20 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.6-1mdk
- new version

* Mon Jan 12 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.5-1mdk
- update file list
- new version

